<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Subtitle extends Model
{
    protected $fillable = [
        'subtitleable_type',
        'subtitleable_id',
        'label',
        'language_code',
        'file_path',
    ];

    public function subtitleable()
    {
        return $this->morphTo();
    }
}
